/* 
*
*  ProLinga-Run
*
*  Copyright (C) 2002-2008 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Run.
*
*  ProLinga-Run is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Run is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Run.  If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/

#ifndef __RUN_ERROR_HPP
#define __RUN_ERROR_HPP


char errorSeverity[3][10] = {"Ok", "Warning", "Error"};

struct error
{       int errorNo;
	int severity;
	char description[80];
} errorTable50000[] = {	
			{ 50000, 0, "No Error" },
			{ 50001, 2, "Error parsing document" },
			{ 50002, 2, "Empty document" },
			{ 50003, 2, "Invalid root element" },
			{ 50004, 2, "Invalid web XML file" },
			{ 50005, 1, "No document match" },
			{ 50006, 1, "Document not found" },
			{ 50007, 1, "Invalid Web Command" },
			{ 50008, 2, "Can not parse return string" }
};


#endif /* __RUN_ERROR_HPP */

