/* 
*
*  ProLinga-Run
*
*  Copyright (C) 2002-2008 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Run.
*
*  ProLinga-Run is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Run is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Run.  If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/

#ifndef __SCREEN_REF_HPP
#define __SCREEN_REF_HPP

/* Individual widget */
char *getWidgetValue(GtkWidget *wdg, bool isMainThread, char *retValue, bool allocate_mem);
int putWidgetValue(GtkWidget *wdg, const char *value, const bool isMainThread);

/* Combination screen and widget */
char *getScreenWidgetData(const char *name, bool isMainThread, GtkWidget *outputScreen, char *retValue, bool allocate_mem);
void putScreenWidgetData(const char *name, char *value, bool isMainThread, GtkWidget *outputScreen);

#endif /* __SCREEN_REF_HPP */

